%% GRK - Grafika Komuterowa (IB) - Lab2
% Skrypt wywoujcy algorytm Bresenhama rasteryzacji okrgu

%% wyczyszczenie rodowiska
clc;
clear all;
close all;

%% promie okrgu do rasteryzacji
r = 7;

%% okrelenie obszaru wywietlania
axis([-10 10 -10 10]); 
axis equal;
grid on;
hold on;

%% wywoanie funkcji rasteryzacji okrgu
bresenham_circle(r);

%% narysowanie idealnego okrgu
t = linspace(0,2*pi,200);
x = r*cos(t); y = r*sin(t);
plot(x,y,'r-','LineWidth',2);









