%% GRK - Grafika Komuterowa (IB) - Lab2
% Skrypt wywoujcy algorytm Bresenhama rasteryzacji elipsy

%% wyczyszczenie rodowiska
clc;
clear all;
close all;

%%osie elipsy do rasteryzacji
a = 7;
b = 5;

%%srodek elipsy do rasteryzacji
xc=0;
yc=0;

%% okrelenie obszaru wywietlania
axis([-10 10 -10 10]); 
axis equal;
grid on;
hold on;

%% wywoanie funkcji rasteryzacji elipsy
bresenham_elipse(a,b);

%% narysowanie idealnej elipsy
t=-pi:0.01:pi;
x=xc+a*cos(t); y=yc+b*sin(t);
plot(x,y,'r-','LineWidth',2)










