%% GRK - Grafika Komputerowa (IB) - Lab2
% Skrypt wywoujcy algorytm Bresenhama rasteryzacji odcinka

%% wyczyszczenie rodowiska
clc;
clear all;
close all;

%% wsprzdne punktw pocztkowego (xp, yp) i kocowego (xk, yk)
xp = 3; yp = 3;
xk = 8; yk = 6;

%% okrelenie obszaru i sposobu wywietlania
axis([0 10 0 10]);
grid on;
hold on;

%% wywoanie funkcji rasteryzacji odcinka 
bresenham_line(xp, xk, yp, yk);

%% narysowanie idealnego przebiegu odcinka
plot([xp xk], [yp yk],'r','LineWidth',2);

