%% GRK - Grafika Komputerowa (IB) - Lab2
% Skrypt wywoujcy algorytm Cohena-Sutherlanda przycinania odcinka

%% wyczyszczenie rodowiska
clc;
clear all;
close all;

%% wsprzdne punktw pocztkowego (xp, yp) i kocowego (xk, yk)
xp = 3; yp = 3;
xk = 6; yk = 9;

%% wsprzdne lewego dolnego (wx1, wy1) i prawego grnego (wx2, wy2) rogu
% obszaru widzialnego
wx1 = 4; wy1 = 4;
wx2 = 7; wy2 =7;

%% okrelenie obszaru i sposobu wywietlania
axis([0 10 0 10]);
grid on;
hold on;

%% narysowanie obszaru widzialnego
rectangle('Position',[wx1 wy1 (wx2-wx1) (wy2-wy1)],'EdgeColor','k');

%% narysowanie odcinka przed przycinaniem
plot([xp xk], [yp yk],'k','LineWidth',2);

%% wywoanie funkcji przycinania odcinka 
[px1, py1, px2, py2] = cohen_sutherland(wx1, wy1, wx2, wy2, xp, yp, xk, yk);
